/* =============================== */
/*  PAGE CONTACT GENERAL STYLES
/* =============================== */
.form-wrapper {
    position: relative;
    padding: 0 min(10%, 80px);
    z-index: 1;
    max-width: 500px;
}

.form-title {
    text-align: center;
    margin-bottom: 20px;
    font-size: 3rem;
    color: var(--red);
}

 input[type="text"],
 input[type="email"],
 input[type="tel"],
 textarea {
    color: #fff;
    font-weight: 900;
    width: 100%;
    border-radius: 25px;
    padding-inline: 20px;
    border: 2px solid #FFF;
    background: var(--pink-50);
}

input::placeholder,
textarea::placeholder {
    color: #fff;
    opacity: 0.6;
    font-weight: 900;
    text-transform: uppercase;
    font-size: 0.8rem;
    text-align: center;
}


.form-wrapper label,
.form-wrapper p {
    color: var(--pink);
    font-weight: 900;
    text-transform: uppercase;
    font-size: 0.8rem;
    text-align: center;
}

.form-wrapper label {
    margin-bottom: 3px;
}


input, textarea {
    padding: 10px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    transition: 0.3s ease-in-out;
}


textarea {
    box-sizing: border-box;
    resize: vertical;
    min-height: 100px;
    padding-inline: 20px;
}

input:focus,
textarea:focus {
    outline: none;
    border: 2px solid var(--pink);
    box-shadow: 0 0 25px var(--pink-shadow);
}

.text-remaining {
    text-align: left !important;
    margin-top: -10px;
}

.end-date h4, 
.before-start h4 {
    font-family: "pain-de-mie", sans-serif;
    margin-top: 20px;
    padding: 20px;
    border: 2px solid #fff;
    border-radius: 10px;
    background: var(--pink);
    color: #fff;
    font-size: 2rem;
    margin-bottom: 50px;
    text-align: center;
}


/* ============================================================ */
/* PAGE SUBMISSION FORM ============================================================ */

/* ============================================================ */
/* SECTION ACCEPTANCES ============================================================ */
.consents {
    margin-top: 10px;
    padding-left: 15px;

    & label {
        text-align: left;
        position: relative;
        text-transform: none
    }

    & a {
        text-decoration: underline;
        text-transform: uppercase;
        font-weight: 900;
    }

    & input[type='checkbox'] {
        position: absolute;
        left: -35px;
        top:3px;
        border: 2px solid var(--pink);
        border-radius: 8px;
        width: 10px;
        height: 10px;
        appearance: none;
        background: transparent !important;
        transition: 0.3s ease-in-out;

        &:checked {
            box-shadow: 0 0 15px 0 rgba(255, 255, 255, 0.70);
        }

        &:checked::before {
            content: "✓";
            color: var(--pink);
            font-size: 25px;
            position: absolute;
            top: -6px;
            left: 0;
            width: 100%;
            height: 100%;
        }
    }
}

.form-acceptances .wpcf7-list-item {
    margin: 0;
}


.consents p {
    font-size: 0.8rem;
}

/* Hidden elements */

.read-more-content {
    display: none;
}

.consent.is-expanded .read-more-content {
    display: inline;
}

.read-more {
    display: block;
    cursor: pointer;
    font-weight: 600;
    font-style: italic;
    text-transform: uppercase;
}

/* ============================================================ */
/* SECTION SUBMIT BUTTON ============================================================ */

.cta-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
    margin-bottom: 30px;
    text-align: center;

    & p {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    & input {
        border-radius: 50px;
        background: var(--pink);
        background-size: 200% 100%;
        background-position: 100% 0;
        border: 2px solid #fff;
        padding: 10px 20px;
        padding-top: 12px;
        box-shadow: 0 0 70px var(--pink-shadow);
        font-family: "pain-de-mie", sans-serif;
        font-size: 2rem;
        font-weight: 600;
        color: #fff;
        text-transform: uppercase;
        transition: 0.4s ease-in-out;
        position: relative;
     
    
        &:hover {
            transform: scale(1.05);
            box-shadow: 0 0 70px var(--pink-shadow);
            letter-spacing: 1px;
            background-position: 0 0;
            background-size: 100% 100%;
        }
    
        &:hover:before {
            left: 0;
        }
    }
}

.wpcf7-spinner {
    display: none !important;
}





/* ============================================================ */
/* SECTION ERROR MESSAGES ============================================================ */

.wpcf7-not-valid-tip {
    color: #fff;
    background-color: rgb(185, 0, 0);
    padding-inline: 10px;
    margin-top: 2px;
    border-radius: 10px;

}

.wpcf7-response-output {
    background-color: #ffb027;
    color: #000;
    border-radius: 5px;
}

.wpcf7 form.sent .wpcf7-response-output {
    background-color: #0f8828;
    border-color: #0f8828 !important;
    color: #fff;
    border-radius: 5px;
}
